---
- name: Get all groups under ska-dev
  ansible.builtin.uri:
    url: "{{ gitlab_api_url }}/groups/{{ gitlab_skao_developers_group_id }}/subgroups"
    method: GET
    force: true
    return_content: true
    headers:
      PRIVATE-TOKEN: "{{ gitlab_access_token }}"
  register: gitlab_dev_groups

- name: Configure Gitlab Groups
  ansible.builtin.include_tasks: configure_vault_groups.yml
  with_items: "{{ gitlab_dev_groups.json }}" # workaround because it isn't possible to use the loop with_items for an ansible block
  vars:
    k8s_vault_auth_group: "{{ item.full_path }}"
    k8s_vault_auth_group_slug: "{{ item.path }}"
    k8s_vault_auth_group_fullname: "{{ item.full_name }}"
    k8s_vault_auth_group_url: "{{ item.web_url }}"
  loop_control:
    label: "{{ item.full_path }}: {{ item.full_name }}"
